//
//
// Copyright (c) 2018 GetSocial BV. All rights reserved.
//

#import <Foundation/Foundation.h>

@class SHARED_NotificationsCountQuery;

/*!
 * @abstract Class to create notification count queries.
 */
@interface GetSocialNotificationsCountQuery : NSObject

/*!
 * @abstract Query to get all notifications.
 */
+ (instancetype)readAndUnread;

/*!
 * @abstract Query to get all read notifications.
 */
+ (instancetype)read;

/*!
 * @abstract Query to get all unread notifications.
 */
+ (instancetype)unread;

/*!
 * @abstract Set notificaton types.
 *
 * @param types   notification types. Check @see GetSocialNotificationType enum for available notification types.
 */
- (void)setTypes:(NSArray *)types;

/*!
 * @abstract Sets all the available notification types.
 */
- (void)setAllTypes;

@end
